> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Feedback



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json post /api/v1/feedback
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/feedback:
    post:
      tags:
        - Feedback
      summary: Submit Feedback
      operationId: submit_feedback_api_v1_feedback_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedbackRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    FeedbackRequest:
      properties:
        message:
          type: string
          maxLength: 2048
          minLength: 1
          title: Message
        category:
          $ref: '#/components/schemas/FeedbackCategory'
        cli_version:
          type: string
          maxLength: 64
          minLength: 1
          title: Cli Version
        run_id:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Run Id
      type: object
      required:
        - message
        - category
        - cli_version
      title: FeedbackRequest
    FeedbackResponse:
      properties:
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: FeedbackResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    FeedbackCategory:
      type: string
      enum:
        - bug
        - feature
        - general
      title: FeedbackCategory
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````